# -*- encoding: utf-8 -*-
# stub: api_rspecta 0.0.3 ruby lib

Gem::Specification.new do |s|
  s.name = "api_rspecta".freeze
  s.version = "0.0.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Smart Cloud, Inc.".freeze, "Alex Bush".freeze, "Alex Petropavlovsky".freeze]
  s.date = "2016-03-04"
  s.description = " \n    `api_rspecta` adds following helper methods to test your JSON APIs with RSpec:\n\n    **JSON:**\n    - `#json` returns parsed `last_response.body`\n    - `#refresh_json` reparses `last_response.body`\n    - `#print_json` to `JSON.pretty_generate` last response JSON\n    - `#json_has_key` tells you if passed json object has a `key`\n    - `#json_has_keys` same as above but for a list of keys\n    - `#json_has_no_key` is opposite to `#json_has_key`\n\n    **Response:**\n      - `should_respond_ok` checks if `last_response.status` was 200\n    - `should_respond_created` checks if `last_response.status` was 201\n    - `should_respond_with_no_content` checks if `last_response.status` was 204\n    - `should_respond_not_authenticated` checks if `last_response.status` was 401\n    - `should_respond_not_authorized` checks if `last_response.status` was 403\n    - `should_respond_not_found` checks if `last_response.status` was 404\n    - `should_respond_with_error_for` checks if `last_response.status` was 422 and that `json` has `errors` for passed `field`\n    - `should_respond_with_errors_for` same as above but for a list of errors\n\n  ".freeze
  s.email = ["alex.v.bush@gmail.com".freeze, "petalvlad@gmail.com".freeze]
  s.homepage = "https://github.com/SmartCloud/api_rspecta".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.3.7".freeze
  s.summary = "api_rspecta adds convenient methods to your RSpec to test JSON APIs.".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.7"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0.0"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.7"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0.0"])
  end
end
